Saltar al contenido principal
POST
/
v1
/
exceptions
/
{exceptionId}
/
callback
Process exception callback
curl --request POST \
  --url https://matcher.sandbox.lerian.net/v1/exceptions/{exceptionId}/callback \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "externalSystem": "JIRA",
  "externalIssueId": "RECON-1234",
  "status": "RESOLVED",
  "callbackType": "status_update",
  "resolutionNotes": "<string>",
  "assignee": "<string>",
  "dueAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "payload": {}
}
'
{
  "status": "accepted"
}

Autorizaciones

Authorization
string
header
requerido

Bearer token authentication (format: "Bearer {token}")

Encabezados

X-Request-Id
string

A unique identifier for tracing the request across services.

X-Idempotency-Key
string

Optional idempotency key for safe retries. Also accepts Idempotency-Key as an alternative header name. If the same key is sent again and the original request was already processed, the cached response is returned with X-Idempotency-Replayed: true.

See Retries and idempotency for details.

Parámetros de ruta

exceptionId
string
requerido

The unique identifier of the exception.

Cuerpo

application/json

Callback payload from external system

Callback payload from an external system

externalSystem
string
requerido

Name of the external system sending the callback

Ejemplo:

"JIRA"

externalIssueId
string
requerido

Issue identifier in the external system

Ejemplo:

"RECON-1234"

status
string
requerido

Current status in the external system

Ejemplo:

"RESOLVED"

callbackType
string

Type of callback event

Ejemplo:

"status_update"

resolutionNotes
string

Notes from the external system resolution

assignee
string

Current assignee in the external system

dueAt
string<date-time>

Due date from the external system

updatedAt
string<date-time>

Last update timestamp from the external system

payload
object

Additional callback data from the external system

Respuesta

Callback processed successfully.

The response includes the X-Idempotency-Replayed header.

If the value is false, the request was just processed. If the value is true, the response is a replay of a previously processed request.

See Retries and idempotency for more details.

Acknowledgement of a processed callback

status
string

Callback processing status

Ejemplo:

"accepted"